Bug 850495 - (CVE-2012-3522) CVE-2012-3522 php-geshi: Non-persistent XSS in langwiz contrib script
CVE-2012-3522 php-geshi: Non-persistent XSS in langwiz contrib script
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120623,reported=2...
: Security
Depends On: 850435
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 12:45 EDT by Jan Lieskovsky
Modified: 2014-10-01 05:20 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-geshi 1.0.8.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-30 09:59:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-08-21 12:45:14 EDT
A cross-site scripting (XSS) flaw was found in the way 'langwiz' example script of GeSHi, a generic syntax highlighter, performed sanitization of certain HTTP GET / POST request variables (prior dumping their content). A remote attacker could provide a specially-crafted URL that, when visited would lead to arbitrary HTML or web script execution.

References:
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=685323

Relevant upstream patch (according to clarification by Raphael Geissert in
http://www.openwall.com/lists/oss-security/2012/08/21/9):

[2] http://geshi.svn.sourceforge.net/viewvc/geshi?view=revision&revision=2508
Comment 1 Jan Lieskovsky 2012-08-21 12:47:05 EDT
This issue affects the versions of the php-geshi package, as shipped with Fedora release of 16 and 17. Please schedule an update.

--

This issue did NOT affect the versions of the php-geshi package, as shipped with Fedora EPEL 5 and EPEL 6 (as they did not include the vulnerable langwiz.php example script yet).
Comment 2 Jan Lieskovsky 2012-08-21 12:49:37 EDT
Created php-geshi tracking bugs for this issue

Affects: fedora-all [bug 850435]
Comment 3 Jan Lieskovsky 2012-08-22 06:05:12 EDT
The CVE identifier of CVE-2012-3522 has been assigned to this issue:
http://www.openwall.com/lists/oss-security/2012/08/21/11
Comment 4 Fedora Update System 2013-05-13 21:22:40 EDT
php-geshi-1.0.8.11-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-05-14 00:39:53 EDT
php-geshi-1.0.8.11-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.